import java.awt.Color;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

class Car{
	int id;
	String model;
	String color;
	int price;
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getModel() {
		return model;
	}
	public void setModel(String model) {
		this.model = model;
	}
	public String getColor() {
		return color;
	}
	public void setColor(String color) {
		this.color = color;
	}
	public int getPrice() {
		return price;
	}
	public void setPrice(int price) {
		this.price = price;
	}
	public Car(int id, String model, String color, int price) {
		super();
		this.id = id;
		this.model = model;
		this.color = color;
		this.price = price;
	}
	@Override
	public String toString() {
		return "Car [id=" + id + ", model=" + model + ", color=" + color + ", price=" + price + "]";
	}
}
interface CarPredicate{
    boolean test (Car car);
}
class whiteCheapPredicate implements CarPredicate {
    public boolean test(Car car){
            return "WHITE".equals(car.getColor()) && car.getPrice() <= 10000;
    }
}
public class Behaviour5 {
	private static Car[] carArray  = {
		    new Car(1, "BENS SCLASS", "BLACK", 11000), 
		    new Car(2, "BNW 9", "BLUE", 8000), 
		    new Car(3, "KEA 9", "WHITE", 7000)
		};

		private static List<Car> inventory = Arrays.asList(carArray);


		public static List<Car> filterCars(List<Car> inventory,  CarPredicate p) {
		    List<Car> result = new ArrayList<>();
		    for(Car car: inventory) {
		        if(p.test(car))  result.add(car);
		    }
		    return result;
		}
		public static void main(String args[]) {
			List<Car> whiteCars =  filterCars(inventory, (Car car) -> "WHITE".equals(car.getColor()));
			System.out.println(whiteCars);
		}
}
